%define cvs_data      20040117

%define pkg_name      tleenx2
%define pkg_ver       0.%{cvs_data}
%define pkg_dver      9.3
%define pkg_rver      1
%define pkg_rel       %{pkg_dver}.aur.%{pkg_rver}

%define distro	      Aurox

Summary: tleenx2 - tlen.pl client for X Window System.
Name:    %{pkg_name}
Version: %{pkg_ver}
Release: %{pkg_rel}

URL: http://tleenx.sourceforge.net/

License:   GPL

Distribution: %distro

Group:    Applications/Communications
Vendor:   Jaroslaw J. Pyszny <arghil@aurox.org>
Packager: Jaroslaw J. Pyszny <arghil@aurox.org>

Source0: %{name}-%{cvs_data}.tar.bz2
Source1: %{name}.desktop
Patch0:  %{name}_dbgoff.patch.bz2

Prefix: %{_prefix}

Buildrequires: libtlen-devel
Buildrequires: gtk2-devel

BuildRoot: %{_tmppath}/%{name}-%(id -nu)

%description
TleenX2  is a tlen.pl (Polish IM protocol based on Jabber) client for
X Window System  with  Gtk+-2.0  library. 

%prep
%setup -q -n %{name}-%{cvs_data}
%patch0 -p1

#fix locale dir
perl -pi -e 's|\$\(prefix\)/\$\(DATADIRNAME\)|\$(datadir)|' src/Makefile.in src/Makefile.am

%build
%configure

%{__make}

%install
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

mkdir -p %buildroot/%_datadir/applications
mkdir -p %buildroot/%_datadir/pixmaps

%makeinstall

install -m 644 %{SOURCE1}   %buildroot/%_datadir/applications/%distro-%name.desktop
install pixmaps/tleenx.png  %buildroot/%_datadir/pixmaps

%clean
[ "%{buildroot}" != "/" ] && rm -rf "%{buildroot}"

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO doc/*
%attr(755,root,root) %{_bindir}/tleenx2

%{_datadir}/tleenx2
%{_datadir}/applications/%distro-%name.desktop
%{_datadir}/pixmaps/tleenx.png

%{_mandir}/man1/tleenx2.1*

%changelog
* Fri Jan 23 2004 Aurox Team <aurox@aurox.org> 0:0.20040117-9.3.aur.1
- new version, Aurox 9.3
- one
- bar
- foo
- dnl
- name fixed
- New version
- foo

* Sun Jan 17 2004 Jarosaw J. Pyszny <arghil@aurox.org> 0.20040117-9.2.aur.1
- Tleenx2 17.01.2004
- libtlen 17.01.2004

* Mon Nov 24 2003 Jarosaw J. Pyszny <arghil@aurox.org> 0.20031121-9.2.aur.3
- fix dir for locales
- rebuild

* Sun Nov 23 2003 Jarosaw J. Pyszny <arghil@aurox.org> 0.20031121-2aur
- fix file attr.
- remove CVS files from docs

* Sun Nov 23 2003 Jarosaw J. Pyszny <arghil@aurox.org> 0.20031121-1aur
- Tleenx2 22.11.2003
- libtlen 21.11.2003
- add menu entry and icon for tleenx2

* Thu Jul 24 2003 Jarosaw J. Pyszny <arghil@tlen.pl> 0.20030724-1aur
- Tleenx2 24.07.2003
- initial release
